#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red


double MA[];
double MA2[];
double IndicatorOutput[];

int init()   { IndicatorDigits(8); IndicatorBuffers(3); SetIndexBuffer(0,IndicatorOutput);SetIndexBuffer(1,MA);SetIndexBuffer(2,MA2);return(0); }
int deinit() { return(0); }
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
   
   
   
    for(int i = limit; i>=0; i--)
     {


      MA[i]=iMA(Symbol(),Period(),13,8,MODE_SMMA,PRICE_MEDIAN,i); 

      MA2[i]=iMACD(NULL,PERIOD_M5,12,26,9,PRICE_CLOSE,MODE_SIGNAL,i); 
   
      double MA1 = 0;
      if (MA[i]!= 0)   MA1=Acceleration(MA,38,Bars,i);
      if (MA1    != 0) MA1=Acceleration(MA,38,Bars,i); else MA1=1;        
  

IndicatorOutput[i] = MA2[i] / MA1;

                         
  }
  return(0);
}

double Acceleration(const double& series[], int period, int totcount, int index)
{
double vel1, vel2;

  if (totcount<1 || period<1) return (EMPTY_VALUE); //no bars or bad period
  if (index<0 || index+2*period>totcount-1) return (EMPTY_VALUE); //going out of array boundaries

  vel1=(series[index]-series[index+period])/period;
  vel2=(series[index+period]-series[index+period+period])/period;
  return ((vel1-vel2)/period);
}
 